package cn.com.tenlion.organizationmanagement.service.organization;

import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import cn.com.tenlion.organizationmanagement.pojo.dtos.organization.OrganizationDTO;
import cn.com.tenlion.organizationmanagement.pojo.vos.organization.OrganizationVO;
import cn.com.tenlion.organizationmanagement.pojo.bos.organization.OrganizationBO;
import cn.com.tenlion.organizationmanagement.pojo.pos.organization.OrganizationPO;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IOrganizationService
 * @Description: 组织管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 11:06:42
 * @Version: 3.0
 **/
public interface OrganizationApi {








    /**
     * 组织管理详情
     *
     * @param params 参数Map
     * @return
     */
    OrganizationDTO get(Map<String, Object> params);

    /**
     * 组织管理详情
     *
     * @param organizationId
     * @return
     */
    OrganizationDTO get(String organizationId);

    /**
     * 组织管理详情
     *
     * @param params 参数Map
     * @return
     */
    OrganizationBO getBO(Map<String, Object> params);

    /**
     * 组织管理详情
     *
     * @param organizationId
     * @return
     */
    OrganizationBO getBO(String organizationId);

    /**
     * 组织管理详情
     *
     * @param params 参数Map
     * @return
     */
    OrganizationPO getPO(Map<String, Object> params);

    /**
     * 组织管理详情
     *
     * @param organizationId
     * @return
     */
    OrganizationPO getPO(String organizationId);

    /**
     * 组织管理列表
     *
     * @param params
     * @return
     */
    List<OrganizationDTO> list(Map<String, Object> params);

    /**
     * 组织管理列表
     *
     * @param params
     * @return
     */
    List<OrganizationBO> listBO(Map<String, Object> params);

    /**
     * 组织管理列表
     *
     * @param params
     * @return
     */
    List<OrganizationPO> listPO(Map<String, Object> params);

    /**
     * 组织管理分页列表
     *
     * @param page
     * @return
     */
    SuccessResultList<List<OrganizationDTO>> listPage(ListPage page);

    /**
     * 组织管理统计
     *
     * @param params
     * @return
     */
    Integer count(Map<String, Object> params);

}